Bug 8498 - can't specify an hour when specifying due date
Summary: can't specify an hour when specifying due date
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-24 12:50 UTC by Nicole C. Engard
Modified: 2013-12-05 20:01 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8498 - can't specify an hour when specifying due date (352.35 KB, patch)
2012-07-24 17:40 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 8498 - can't specify an hour when specifying due date (358.62 KB, patch)
2012-07-25 11:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 8498 - can't specify an hour when specifying due date (345.46 KB, patch)
2012-07-25 11:50 UTC, Kyle M Hall
Details | Diff | Splinter Review
In input field last minute is not displayed (14.66 KB, image/jpeg)
2012-07-30 14:13 UTC, Marc Véron
Details
Bug 8498 - can't specify an hour when specifying due date (346.69 KB, patch)
2012-07-30 15:30 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8498 - can't specify an hour when specifying due date (345.06 KB, patch)
2012-07-30 15:36 UTC, Marc Véron
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-07-24 12:50:29 UTC
With hourly loans Koha can make items due specific hours, but if you have the specify due date box on the checkout screen you can't enter an hour in it ...
Comment 1 Kyle M Hall 2012-07-24 17:40:00 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-07-24 19:50:21 UTC
This patch adds *all* jQueryUI interactions, widgets, and effects to Koha, whereas I was trying to add them only as needed. I would prefer it if you could use the jQueryUI download configuration tool to add just the additional widgets necessary for the timepicker.

The current baseline is:

- Core
- Autocomplete
- Tabs
- Datepicker
Comment 3 Paul Poulain 2012-07-24 20:27:00 UTC
(In reply to comment #2)
> This patch adds *all* jQueryUI interactions, widgets, and effects to Koha,
> whereas I was trying to add them only as needed. I would prefer it if you
> could use the jQueryUI download configuration tool to add just the
> additional widgets necessary for the timepicker.
> 
> The current baseline is:
> 
> - Core
> - Autocomplete
> - Tabs
> - Datepicker

Sounds OK/fair to me. What about adding a wiki page (linked to coding guidelines -maybe not coding guidelines page itself) about those rules ?
Comment 4 Kyle M Hall 2012-07-25 11:45:16 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2012-07-25 11:50:33 UTC Comment hidden (obsolete)
Comment 6 Marc Véron 2012-07-30 14:13:18 UTC
Created attachment 11196 [details]
In input field last minute is not displayed

Patch works as expected.

- Minor issue with CSS: Input field does not fully display the time (last minute not visible). See screenshot.

- Question: If an item is issued, should "Renewal due date" display time as well? 

Marc
Comment 7 Kyle M Hall 2012-07-30 15:30:06 UTC Comment hidden (obsolete)
Comment 8 Kyle M Hall 2012-07-30 15:31:06 UTC
(In reply to comment #6)
> Created attachment 11196 [details]
> In input field last minute is not displayed
> 
> Patch works as expected.
> 
> - Minor issue with CSS: Input field does not fully display the time (last
> minute not visible). See screenshot.

Fixed in new patch.

> - Question: If an item is issued, should "Renewal due date" display time as
> well? 

It already does.
Comment 9 Marc Véron 2012-07-30 15:36:55 UTC
Created attachment 11202 [details] [review]
[SIGNED-OFF] Bug 8498 - can't specify an hour when specifying due date

With hourly loans Koha can make items due specific hours,
but if you have the specify due date box on the checkout
screen you can't enter an hour/minute. It will always default
to 23:59.

* Add jquery timepicker plugin
* Update jquery ui to include timepicker prerequisite slider
* Set timepicker's default time to 23:59, remove the hard
  coded 23:59 setting from circulation.pl
* Resize input fields such that the entire date and time are
  visible.

Signed-off-by: Marc Veron <veron@veron.ch>
Works as expected, input field displays entire date and time.
Comment 10 Paul Poulain 2012-08-01 14:19:33 UTC
QA Comment: 
* Owen/Kyle, I need a confirmation: is the upgrade
- * jQuery UI CSS Framework 1.8.20
+ * jQuery UI CSS Framework 1.8.22
needed, why ? are you sure it's harmless ?


* If you don't use hourly loans, is it possible not to have the hour/minute picker ? (not sure)

Other than this, nothing against a passed QA status
Comment 11 Katrin Fischer 2012-08-01 14:26:23 UTC
Hi Paul, I think at the moment we don't have a system prefernce for hourly loans, so to not see the minutes the system would have to check the circulation rules?

I would like it a bit better too, if it possible to easily differentiate between loans in days and hourly loans. For example I think 'normal' loans shouldn't display the minute part, as it will probably be confusing to some libraries. But probably way out of scope for this bug :)
Comment 12 Kyle M Hall 2012-08-03 13:06:52 UTC
(In reply to comment #10)
> QA Comment: 
> * Owen/Kyle, I need a confirmation: is the upgrade
> - * jQuery UI CSS Framework 1.8.20
> + * jQuery UI CSS Framework 1.8.22
> needed, why ? are you sure it's harmless ?

I needed to add components that were not in our current version. The jQuery UI builder does not give the option of selecting a previous version.

> 
> * If you don't use hourly loans, is it possible not to have the hour/minute
> picker ? (not sure)

Not in this iteration, but I don't feel that it gets in the way, even if it is not hidden. We aren't hiding the hours portion of due dates anywhere else ( at least not on purpose ).
Comment 13 Mason James 2012-08-10 08:47:50 UTC
(In reply to comment #10)
> Other than this, nothing against a passed QA status

i think Kyle has answered Cait's and Paul's questions to satisfaction, so...
patch looks good, passing QA :)


mason@xen1:~/git/head$ koha-qa.pl 
        * e99beda Bug 8498 - can't specify an hour when specifying due date
                circ/circulation.pl
                koha-tmpl/intranet-tmpl/prog/en/css/staff-global.css
                koha-tmpl/intranet-tmpl/prog/en/lib/jquery/jquery-ui.css
                koha-tmpl/intranet-tmpl/prog/en/lib/jquery/jquery-ui.js
                koha-tmpl/intranet-tmpl/prog/en/lib/jquery/plugins/jquery-ui-timepicker-addon.js
                koha-tmpl/intranet-tmpl/prog/en/modules/circ/circulation.tt

- perlcritic-progressive tests... OK
- perl -c syntax tests... OK
- xt/tt_valid.t tests... OK
- xt/author/valid-template.t tests... OK
Comment 14 Owen Leonard 2012-08-15 13:49:03 UTC
FYI I have added (In reply to comment #3)

> Sounds OK/fair to me. What about adding a wiki page (linked to coding
> guidelines -maybe not coding guidelines page itself) about those rules ?

I updated this section with the information:

http://wiki.koha-community.org/wiki/Coding_Guidelines#Using_jQueryUI_widgets
Comment 15 Paul Poulain 2012-08-31 20:45:05 UTC
Patch pushed to master
Comment 16 Chris Cormack 2012-09-01 07:54:20 UTC
Does not apply to 3.8.x please submit a patch for 3.8.x if one is needed
Comment 17 Owen Leonard 2012-11-27 21:04:38 UTC
(In reply to comment #16)
> Does not apply to 3.8.x please submit a patch for 3.8.x if one is needed

Not applicable to 3.8.x.